# classes for classification portion of model
BACKGROUND = 0
FISHING = 1
NONFISHING = 2
NONVESSEL = 3

IGNORE_LABEL = 255

# nodata values for each channel
NODATA_OWIMASK = -32768
NODATA_OWIWINDSPEED = -32768
NODATA_OWIWINDIDRECTION = -32768
NODATA_BATHYMETRY = -32768
NODATA_VV_DB = -32768
NODATA_VH_DB = -32768

# UTM pixel-to-meter conversion value
PIX_TO_M = 10

# Maximum object length
MAX_OBJECT_LENGTH_M = 500
MIN_OBJECT_LENGTH_M = 5

TARGET_LABELS_KEY = "TARGET_LABELS_KEY"
TARGET_FISHING_KEY = "TARGET_FISHING_KEY"
TARGET_VESSEL_KEY = "TARGET_VESSEL_KEY"
TARGET_SAMPLE_WEIGHT = "TARGET_SAMPLE_WEIGHT"

TARGET_CENTERS_KEY = "TARGET_CENTERS_KEY"
TARGET_LENGTHS_KEY = "TARGET_LENGTHS_KEY"

INPUT_LOCATION_ID_KEY = "INPUT_LOCATION_ID_KEY"
INPUT_CONFIDENCE_KEY = "INPUT_CONFIDENCE_KEY"
INPUT_IS_NEAR_SHORE_KEY = "INPUT_IS_NEAR_SHORE_KEY"

INPUT_SCENE_ID_KEY = "INPUT_SCENE_ID_KEY"
INPUT_SCENE_CROP_KEY = "INPUT_SCENE_CROP_KEY"  # Coordinates of crop region (start_row, end_row), (start_col, end_col)

INPUT_FOLDER_KEY = "INPUT_FOLDER_KEY"  # train/valid or test

__all__ = [
    "BACKGROUND",
    "TARGET_SAMPLE_WEIGHT",
    "FISHING",
    "IGNORE_LABEL",
    "INPUT_LOCATION_ID_KEY",
    "INPUT_CONFIDENCE_KEY",
    "INPUT_IS_NEAR_SHORE_KEY",
    "INPUT_FOLDER_KEY",
    "TARGET_FISHING_KEY",
    "TARGET_VESSEL_KEY",
    "INPUT_SCENE_CROP_KEY",
    "INPUT_SCENE_ID_KEY",
    "MAX_OBJECT_LENGTH_M",
    "MIN_OBJECT_LENGTH_M",
    "NODATA_BATHYMETRY",
    "NODATA_OWIMASK",
    "NODATA_OWIWINDIDRECTION",
    "NODATA_OWIWINDSPEED",
    "NODATA_VH_DB",
    "NODATA_VV_DB",
    "NONFISHING",
    "NONVESSEL",
    "PIX_TO_M",
    "TARGET_CENTERS_KEY",
    "TARGET_LABELS_KEY",
    "TARGET_LENGTHS_KEY",
]
